
QGIS Application - Bug report #8617

Crashes when switching layers

2013-09-16 04:14 AM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 17354

Description

Since changing to

QGIS version    1.9.0-Master    QGIS code revision    ab6a232

Compiled against Qt    4.7.1    Running against Qt    4.7.1

Compiled against GDAL/OGR    1.9.2    Running against GDAL/OGR    1.9.2

GEOS Version    3.3.8    PostgreSQL Client Version    8.3.10

SpatiaLite Version    3.0.1    QWT Version    5.2.1

PROJ.4 Version    480    QScintilla2 Version    2.6.2

This copy of QGIS writes debugging output.

The most common crash I now see is a crash when switching layers. When I change between two layers I am editing. If I do not change

the editing tool (e.g. for vector layers, Adds Feature, Move Feature or Node Tool) then as soon as I click into the newly selected layer the

application crashes.

Dump files from the two most recent crashes at 

https://skydrive.live.com/?cid=2EEF0993EDE37686&#38;id=2EEF0993EDE37686!205#cid=2EEF0993EDE37686&#38;id=2EEF0993E

E37686%213794

History

#1 - 2013-09-17 09:10 AM - Giovanni Manghi

- Status changed from Open to Feedback

I cannot confirm on qgis 2.0(.1) on Windows and Linux, please update and report back, eventually attaching a sample project and data. Try also disabling

all your 3rd part plugins.

#2 - 2013-11-21 03:29 AM - Matthias Kuhn

- Status changed from Feedback to Closed

Closing due to lack of feedback.

Please reopen (with added details) if this still is an issue.

2024-03-20 1/1

https://skydrive.live.com/?cid=2EEF0993EDE37686&#38;id=2EEF0993EDE37686!205#cid=2EEF0993EDE37686&#38;id=2EEF0993EDE37686%213794
https://skydrive.live.com/?cid=2EEF0993EDE37686&#38;id=2EEF0993EDE37686!205#cid=2EEF0993EDE37686&#38;id=2EEF0993EDE37686%213794

